# PathFindResponse | xrpl
Documentation for xrpl

# Interface PathFindResponse

Response expected from a PathFindRequest.

#### Hierarchy

- BaseResponse
  - PathFindResponse

- Defined in packages/xrpl/src/models/methods/pathFind.ts:78

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:40

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:39

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:33

### result

result: {
alternatives: PathFindPathOption [];
closed?: true;
destination_account: string;
destination_amount: Amount ;
full_reply: boolean;
id?: string | number;
source_account: string;
status?: true;
}

#### Type declaration

- ##### alternatives: PathFindPathOption []

  Array of objects with suggested paths to take, as described below. If empty, then no paths were found connecting the source and destination accounts.

- ##### `Optional` closed?: true

  The value true indicates this reply is in response to a path_find close command.

- ##### destination_account: string

  Unique address of the account that would receive a transaction.

- ##### destination_amount: Amount

  Currency amount provided in the WebSocket request.

- ##### full_reply: boolean

  If false, this is the result of an incomplete search. A later reply may have a better path. If true, then this is the best path found. (It is still theoretically possible that a better path could exist, but rippled won't find it.) Until you close the pathfinding request, rippled. Continues to send updates each time a new ledger closes.

- ##### `Optional` id?: string | number

  The ID provided in the WebSocket request is included again at this level.

- ##### source_account: string

  Unique address that would send a transaction.

- ##### `Optional` status?: true

  The value true indicates this reply is in response to a `path_find` status command.

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/pathFind.ts:79

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:34

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:35

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:37

### `Optional` warnings

warnings?: ResponseWarning []

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:38

Generated using TypeDoc